# psputils.h File Reference

`#include <psptypes.h>`
`#include <sys/time.h>`

Include dependency graph for psputils.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | _SceKernelUtilsMt19937Context
| Structure for holding a mersenne twister context. More...
struct | _SceKernelUtilsMd5Context
| Structure to hold the MD5 context. More...
struct | _SceKernelUtilsSha1Context
| Type to hold a sha1 context. More...

## Typedefs

typedef _SceKernelUtilsMt19937Context | SceKernelUtilsMt19937Context
| Structure for holding a mersenne twister context.
typedef _SceKernelUtilsMd5Context | SceKernelUtilsMd5Context
| Structure to hold the MD5 context.
typedef _SceKernelUtilsSha1Context | SceKernelUtilsSha1Context
| Type to hold a sha1 context.

## Functions

time_t | sceKernelLibcTime (time_t *t)
| Get the time in seconds since the epoc (1st Jan 1970).
clock_t | sceKernelLibcClock (void)
| Get the processor clock used since the start of the process.
int | sceKernelLibcGettimeofday (struct timeval *tp, struct timezone *tzp)
| Get the current time of time and time zone information.
void | sceKernelDcacheWritebackAll (void)
| Write back the data cache to memory.
void | sceKernelDcacheWritebackInvalidateAll (void)
| Write back and invalidate the data cache.
int | sceKernelUtilsMt19937Init (SceKernelUtilsMt19937Context *ctx, u32 seed)
| Function to initialise a mersenne twister context.
u32 | sceKernelUtilsMt19937UInt (SceKernelUtilsMt19937Context *ctx)
| Function to return a new psuedo random number.
int | sceKernelUtilsMd5Digest (u8 *data, u32 size, u8 *digest)
| Function to perform an MD5 digest of a data block.
int | sceKernelUtilsMd5BlockInit (SceKernelUtilsMd5Context *ctx)
| Function to initialise a MD5 digest context.
int | sceKernelUtilsMd5BlockUpdate (SceKernelUtilsMd5Context *ctx, u8 *data, u32 size)
| Function to update the MD5 digest with a block of data.
int | sceKernelUtilsMd5BlockResult (SceKernelUtilsMd5Context *ctx, u8 *digest)
| Function to get the digest result of the MD5 hash.
int | sceKernelUtilsSha1Digest (u8 *data, u32 size, u8 *digest)
| Function to SHA1 hash a data block.
int | sceKernelUtilsSha1BlockInit (SceKernelUtilsSha1Context *ctx)
| Function to initialise a context for SHA1 hashing.
int | sceKernelUtilsSha1BlockUpdate (SceKernelUtilsSha1Context *ctx, u8 *data, u32 size)
| Function to update the current hash.
int | sceKernelUtilsSha1BlockResult (SceKernelUtilsSha1Context *ctx, u8 *digest)
| Function to get the result of the SHA1 hash.